package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Test23Repository;
import com.realnet.basicp1.Entity.Test23
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Test23Service {
@Autowired
private Test23Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Test23 Savedata(Test23 data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Test23 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Test23> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Test23> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Test23> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Test23 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Test23 update(Test23 data,Integer id) {
	Test23 old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

 

final Test23 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
